%define name pyclutter-gtk
%define version 0.10.0
%define rel 1
%define release %mkrel %rel

%define apiver 1.0
%define api 0.10
%define pyclutter 1.0.0

Summary:       Python bindings for clutter-gtk
Name:          %{name}
Version:       %{version}
Release:       %{release}
Source0:       http://www.clutter-project.org/sources/%name/%apiver/%{name}-%{version}.tar.bz2
Patch0:		pyclutter-gtk-0.10.0-link.patch
License:       LGPLv2+
Group:         Graphics
Url:           http://clutter-project.org/
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: clutter-gtk-devel >= %version
BuildRequires: pygtk2.0-devel >= 2.8.0
BuildRequires: python-clutter-devel >= %pyclutter
BuildRequires: python-cairo-devel >= 1.0.2
BuildRequires: libxslt-proc

%description
Python bindings for clutter-gtk

#----------------------------------------------------------------------------

%package -n python-clutter-gtk
Summary:       Python bindings for clutter-gtk
Group:         Graphics
Provides:      pyclutter-gtk = %{version}-%{release}
Requires: python-clutter >= %pyclutter

%description -n python-clutter-gtk
Python bindings for clutter-gtk

%package -n python-clutter-gtk-devel
Summary:       Python bindings for clutter-gtk
Group: Development/Python
Requires: python-clutter-gtk  = %{version}-%{release}

%description -n python-clutter-gtk-devel
Python bindings for clutter-gtk - development files.


%prep
%setup -q
%patch0 -p1

%build
%configure2_5x --enable-docs
%make

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files -n python-clutter-gtk
%defattr(-,root,root)
%doc AUTHORS README NEWS
%{py_platsitedir}/cluttergtk

%files -n python-clutter-gtk-devel
%defattr(-,root,root)
%doc ChangeLog
%{_datadir}/pyclutter/%{apiver}/defs/*.defs
%{_libdir}/pkgconfig/%{name}-%{api}.pc




%changelog
* Mon Jan 24 2011 pterjan <pterjan> 0.10.0-1.mga1
+ Revision: 36380
- Drop BuilRequires, wrong package
- Add BuildRequires gtk+2-devel which does not seem implied
- imported package pyclutter-gtk


* Sat Nov 06 2010 Funda Wang <fwang@mandriva.org> 0.10.0-1mdv2011.0
+ Revision: 593861
- fix linkage

* Wed Feb 03 2010 Götz Waschk <waschk@mandriva.org> 0.10.0-1mdv2010.1
+ Revision: 500051
- import pyclutter-gtk


